Subject: [GIT PULL] 9p for 5.16-rc1

From: Dominique Martinet <[email-masked]>
Date: Mon, 8 Nov 2021 23:02:47 +0900

Hi Linus,

I've been hesitant on the checkpatch fixes: it's a large batch of noise
that doesn't give much value, but I guess going forward it's good if
I can have a baseline to keep enforcing and it'll prevent getting more
half-assed drive-by style patches that aren't even correct like I've
had...

If you have an opinion on it feel free to just drop the last patch, the
rest still probably makes sense.

The following changes since commit 8bb7eca972ad531c9b149c0a51ab43a417385813:

  Linux 5.15 (2021-10-31 13:53:10 -0700)

are available in the Git repository at:

  git://github.com/martinetd/linux tags/9p-for-5.16-rc1

for you to fetch changes up to 6e195b0f7c8e50927fa31946369c22a0534ec7e2:

  9p: fix a bunch of checkpatch warnings (2021-11-04 21:04:25 +0900)

----------------------------------------------------------------
9p-for-5.16-rc1: fixes, netfs read support and checkpatch rewrite

- fix syzcaller uninitialized value usage after missing error check
- add module autoloading based on transport name
- convert cached reads to use netfs helpers
- adjust readahead based on transport msize
- and many, many checkpatch.pl warning fixes...

----------------------------------------------------------------
David Howells (1):
      9p: Convert to using the netfs helper lib to do reads and caching

Dominique Martinet (7):
      9p/net: fix missing error check in p9_check_errors
      fscache_cookie_enabled: check cookie is valid before accessing it
      9p: fix file headers
      9p v9fs_parse_options: replace simple_strtoul with kstrtouint
      9p p9mode2perm: remove useless strlcpy and check sscanf return code
      9p: set readahead and io size according to maxsize
      9p: fix a bunch of checkpatch warnings

Sohaib Mohamed (4):
      fs/9p: cleanup: opening brace at the beginning of the next line
      9p: fix minor indentation and codestyle
      fs/9p: fix warnings found by checkpatch.pl
      fs/9p: fix indentation and Add missing a blank line after declaration

Thomas Weißschuh (1):
      net/9p: autoload transport modules

 fs/9p/Kconfig              |   1 +
 fs/9p/acl.c                |  11 +---
 fs/9p/acl.h                |  27 ++++-----
 fs/9p/cache.c              | 141 +-------------------------------------------
 fs/9p/cache.h              |  97 +-----------------------------
 fs/9p/fid.c                |   3 +-
 fs/9p/v9fs.c               |  22 ++++---
 fs/9p/v9fs.h               |  17 ++++--
 fs/9p/v9fs_vfs.h           |  11 ++--
 fs/9p/vfs_addr.c           | 215 +++++++++++++++++++++++++++++++++---------------------------------
 fs/9p/vfs_dentry.c         |   4 +-
 fs/9p/vfs_dir.c            |   6 +-
 fs/9p/vfs_file.c           |  20 +++++--
 fs/9p/vfs_inode.c          |  29 +++++----
 fs/9p/vfs_inode_dotl.c     |  11 ++--
 fs/9p/vfs_super.c          |  14 +++--
 fs/9p/xattr.c              |  10 +---
 fs/9p/xattr.h              |  29 ++++-----
 include/linux/fscache.h    |   2 +-
 include/net/9p/9p.h        |  12 ++--
 include/net/9p/client.h    |  24 ++++----
 include/net/9p/transport.h |  26 ++++----
 net/9p/client.c            | 434 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------
 net/9p/error.c             |   4 +-
 net/9p/mod.c               |  41 ++++++++-----
 net/9p/protocol.c          |  38 ++++++------
 net/9p/protocol.h          |   4 +-
 net/9p/trans_common.c      |  10 +---
 net/9p/trans_common.h      |  12 +---
 net/9p/trans_fd.c          |   2 -
 net/9p/trans_rdma.c        |   3 +-
 net/9p/trans_virtio.c      |   1 +
 net/9p/trans_xen.c         |  26 +-------
 33 files changed, 523 insertions(+), 784 deletions(-)

============================

The same stats without the last patch
 fs/9p/Kconfig              |   1 +
 fs/9p/acl.c                |  10 +------
 fs/9p/acl.h                |  10 +------
 fs/9p/cache.c              | 137 ----------------------------------------------------------------------------------------
 fs/9p/cache.h              |  97 ++------------------------------------------------------------
 fs/9p/fid.c                |   3 +-
 fs/9p/v9fs.c               |  18 ++++++------
 fs/9p/v9fs.h               |  17 ++++++++---
 fs/9p/vfs_addr.c           | 209 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------
 fs/9p/vfs_dentry.c         |   2 --
 fs/9p/vfs_dir.c            |   6 ++--
 fs/9p/vfs_file.c           |  19 +++++++++----
 fs/9p/vfs_inode.c          |  15 ++++++----
 fs/9p/vfs_inode_dotl.c     |   2 --
 fs/9p/vfs_super.c          |   7 ++---
 fs/9p/xattr.c              |  10 +------
 fs/9p/xattr.h              |  10 +------
 include/linux/fscache.h    |   2 +-
 include/net/9p/9p.h        |   2 --
 include/net/9p/client.h    |   2 --
 include/net/9p/transport.h |   8 ++++--
 net/9p/client.c            |   4 +--
 net/9p/error.c             |   2 --
 net/9p/mod.c               |  32 +++++++++++++++------
 net/9p/protocol.c          |   2 --
 net/9p/protocol.h          |   2 --
 net/9p/trans_common.c      |  10 +------
 net/9p/trans_common.h      |  10 +------
 net/9p/trans_fd.c          |   2 --
 net/9p/trans_rdma.c        |   3 +-
 net/9p/trans_virtio.c      |   1 +
 net/9p/trans_xen.c         |  26 ++---------------
 32 files changed, 201 insertions(+), 480 deletions(-)

-- 
Dominique Martinet | Asmadeus